Help with jenkinsci failure

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Help with jenkinsci failure

Jeff Pearce
The ci.jenkins.io build for one of the plugins I maintain seems like it's failing with an infrastructure issue. Would anyone who knows more take a quick peek and see if the error rings any bells? Builds fine locally.

https://ci.jenkins.io/job/Plugins/job/cobertura-plugin/job/builderror/5/consoleFull

8:25:22 [linux-8]
18:25:22 [linux-8] -------------------------------------------------------
18:25:22 [linux-8] T E S T S
18:25:22 [linux-8] -------------------------------------------------------
18:25:22 [linux-8] Running CoverageTablePortlet.CoverageTablePortletTest
18:25:24 [linux-8] Tests run: 1, Failures: 0, Errors: 1, Skipped: 0, Time elapsed: 1.486 sec <<< FAILURE!
18:25:24 [linux-8] testBuildUrlShouldBeCorrectInFolder(CoverageTablePortlet.CoverageTablePortletTest) Time elapsed: 0.897 sec <<< ERROR!
18:25:24 [linux-8] java.lang.Exception: Failed to initialize exploded war

--
You received this message because you are subscribed to the Google Groups "Jenkins Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jenkinsci-dev/b4e3275d-a1c8-40fa-a43c-2c8e4c9393e3%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Help with jenkinsci failure

Steve Christou
It looks like an issue with the downloading of the jenkins war for testing:

18:23:52 [linux-8] [WARNING] Checksum validation failed, expected 3eb1a8e9bf396a56595b75449ba245012287f4dd but is 11587c96d6dc6beb40e30083ef66fcaeef02c3e1 for https://repo.azure.jenkins.io/public/org/jenkins-ci/main/jenkins-war/2.13/jenkins-war-2.13-war-for-test.jar
18:23:57 [linux-8] [WARNING] Could not validate integrity of download from https://repo.azure.jenkins.io/public/org/jenkins-ci/main/jenkins-war/2.13/jenkins-war-2.13-war-for-test.jar: Checksum validation failed, expected 3eb1a8e9bf396a56595b75449ba245012287f4dd but is 11587c96d6dc6beb40e30083ef66fcaeef02c3e1 18:23:57 [linux-8] [WARNING] Checksum validation failed, expected 3eb1a8e9bf396a56595b75449ba245012287f4dd but is 11587c96d6dc6beb40e30083ef66fcaeef02c3e1 for https://repo.azure.jenkins.io/public/org/jenkins-ci/main/jenkins-war/2.13/jenkins-war-2.13-war-for-test.jar

On Thu, Nov 9, 2017 at 3:18 PM Jeff Pearce <[hidden email]> wrote:
The ci.jenkins.io build for one of the plugins I maintain seems like it's failing with an infrastructure issue. Would anyone who knows more take a quick peek and see if the error rings any bells? Builds fine locally.

https://ci.jenkins.io/job/Plugins/job/cobertura-plugin/job/builderror/5/consoleFull

8:25:22 [linux-8]
18:25:22 [linux-8] -------------------------------------------------------
18:25:22 [linux-8] T E S T S
18:25:22 [linux-8] -------------------------------------------------------
18:25:22 [linux-8] Running CoverageTablePortlet.CoverageTablePortletTest
18:25:24 [linux-8] Tests run: 1, Failures: 0, Errors: 1, Skipped: 0, Time elapsed: 1.486 sec <<< FAILURE!
18:25:24 [linux-8] testBuildUrlShouldBeCorrectInFolder(CoverageTablePortlet.CoverageTablePortletTest) Time elapsed: 0.897 sec <<< ERROR!
18:25:24 [linux-8] java.lang.Exception: Failed to initialize exploded war

--
You received this message because you are subscribed to the Google Groups "Jenkins Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jenkinsci-dev/b4e3275d-a1c8-40fa-a43c-2c8e4c9393e3%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "Jenkins Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jenkinsci-dev/CALdkFWr%3DnmX9zV_OSE-cD-zZw-x8FKFikJvx1WMhrxCN40dsTA%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Help with jenkinsci failure

Jeff Pearce
In reply to this post by Jeff Pearce
Yeah, that's why I wonder if it's infra related (out of disk space, network). I can download the bad larry locally. I can also try upgrading the base jenkins versionĀ 

Is it possible to trigger a new build without pushing changes?

On Thursday, November 9, 2017 at 3:18:36 PM UTC-8, Jeff Pearce wrote:
The <a href="http://ci.jenkins.io" target="_blank" rel="nofollow" onmousedown="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fci.jenkins.io\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNFOz7dbDkaa430NrqJYgXhfPnQC2Q&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fci.jenkins.io\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNFOz7dbDkaa430NrqJYgXhfPnQC2Q&#39;;return true;">ci.jenkins.io build for one of the plugins I maintain seems like it's failing with an infrastructure issue. Would anyone who knows more take a quick peek and see if the error rings any bells? Builds fine locally.

<a href="https://ci.jenkins.io/job/Plugins/job/cobertura-plugin/job/builderror/5/consoleFull" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fci.jenkins.io%2Fjob%2FPlugins%2Fjob%2Fcobertura-plugin%2Fjob%2Fbuilderror%2F5%2FconsoleFull\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNGUEKWDJpKSCbPFYRfwh9V61cjUYg&#39;;return true;" onclick="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fci.jenkins.io%2Fjob%2FPlugins%2Fjob%2Fcobertura-plugin%2Fjob%2Fbuilderror%2F5%2FconsoleFull\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNGUEKWDJpKSCbPFYRfwh9V61cjUYg&#39;;return true;">https://ci.jenkins.io/job/Plugins/job/cobertura-plugin/job/builderror/5/consoleFull

8:25:22 [linux-8]
18:25:22 [linux-8] -------------------------------------------------------
18:25:22 [linux-8] T E S T S
18:25:22 [linux-8] -------------------------------------------------------
18:25:22 [linux-8] Running CoverageTablePortlet.CoverageTablePortletTest
18:25:24 [linux-8] Tests run: 1, Failures: 0, Errors: 1, Skipped: 0, Time elapsed: 1.486 sec <<< FAILURE!
18:25:24 [linux-8] testBuildUrlShouldBeCorrectInFolder(CoverageTablePortlet.CoverageTablePortletTest) Time elapsed: 0.897 sec <<< ERROR!
18:25:24 [linux-8] java.lang.Exception: Failed to initialize exploded war

--
You received this message because you are subscribed to the Google Groups "Jenkins Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jenkinsci-dev/074af22a-a708-4ede-b38e-189c28e3fb12%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Help with jenkinsci failure

Daniel Beck
In reply to this post by Steve Christou

> On 10. Nov 2017, at 00:37, Steve Christou <[hidden email]> wrote:
>
> It looks like an issue with the downloading of the jenkins war for testing:

Probably https://issues.jenkins-ci.org/browse/INFRA-1398
Possibly https://issues.jenkins-ci.org/browse/INFRA-1386

--
You received this message because you are subscribed to the Google Groups "Jenkins Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jenkinsci-dev/B0496BFB-2D05-461A-89C6-8A1511279D30%40beckweb.net.
For more options, visit https://groups.google.com/d/optout.